Index: code/trunk/visual_studio/vc8/orxonox.vcproj
===================================================================
--- code/trunk/visual_studio/vc8/orxonox.vcproj	(revision 2171)
+++ code/trunk/visual_studio/vc8/orxonox.vcproj	(revision 2662)
@@ -102,4 +102,5 @@
 			<Tool
 				Name="VCCLCompilerTool"
+				AdditionalOptions="/MP2"
 			/>
 			<Tool
@@ -167,4 +168,8 @@
 			</File>
 			<File
+				RelativePath="..\..\src\orxonox\PawnManager.cc"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\orxonox\PlayerManager.cc"
 				>
@@ -210,4 +215,8 @@
 				</File>
 				<File
+					RelativePath="..\..\src\orxonox\objects\GlobalShader.cc"
+					>
+				</File>
+				<File
 					RelativePath="..\..\src\orxonox\objects\Level.cc"
 					>
@@ -247,20 +256,4 @@
 						RelativePath="..\..\src\orxonox\objects\worldentities\Backlight.cc"
 						>
-						<FileConfiguration
-							Name="Debug|Win32"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Win32"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
 					</File>
 					<File
@@ -285,8 +278,20 @@
 					</File>
 					<File
+						RelativePath="..\..\src\orxonox\objects\worldentities\ExplosionChunk.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\worldentities\FadingBillboard.cc"
+						>
+					</File>
+					<File
 						RelativePath="..\..\src\orxonox\objects\worldentities\Light.cc"
 						>
 					</File>
 					<File
+						RelativePath="..\..\src\orxonox\objects\worldentities\MobileEntity.cc"
+						>
+					</File>
+					<File
 						RelativePath="..\..\src\orxonox\objects\worldentities\Model.cc"
 						>
@@ -305,9 +310,13 @@
 					</File>
 					<File
-						RelativePath="..\..\src\orxonox\objects\worldentities\PositionableEntity.cc"
+						RelativePath="..\..\src\orxonox\objects\worldentities\Planet.cc"
 						>
 					</File>
 					<File
 						RelativePath="..\..\src\orxonox\objects\worldentities\SpawnPoint.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\worldentities\StaticEntity.cc"
 						>
 					</File>
@@ -344,4 +353,8 @@
 						</File>
 						<File
+							RelativePath="..\..\src\orxonox\objects\worldentities\triggers\PlayerTrigger.cc"
+							>
+						</File>
+						<File
 							RelativePath="..\..\src\orxonox\objects\worldentities\triggers\Trigger.cc"
 							>
@@ -361,4 +374,12 @@
 					>
 					<File
+						RelativePath="..\..\src\orxonox\objects\infos\Bot.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\infos\GametypeInfo.cc"
+						>
+					</File>
+					<File
 						RelativePath="..\..\src\orxonox\objects\infos\HumanPlayer.cc"
 						>
@@ -377,4 +398,12 @@
 					>
 					<File
+						RelativePath="..\..\src\orxonox\objects\controllers\AIController.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\controllers\ArtificialController.cc"
+						>
+					</File>
+					<File
 						RelativePath="..\..\src\orxonox\objects\controllers\Controller.cc"
 						>
@@ -384,4 +413,8 @@
 						>
 					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\controllers\ScriptController.cc"
+						>
+					</File>
 				</Filter>
 				<Filter
@@ -394,4 +427,8 @@
 					<File
 						RelativePath="..\..\src\orxonox\objects\weaponSystem\Weapon.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\weaponSystem\WeaponPack.cc"
 						>
 					</File>
@@ -413,4 +450,20 @@
 						<File
 							RelativePath="..\..\src\orxonox\objects\weaponSystem\munitions\LaserGunMunition.cc"
+							>
+						</File>
+					</Filter>
+					<Filter
+						Name="weapons"
+						>
+						<File
+							RelativePath="..\..\src\orxonox\objects\weaponSystem\weapons\Fusion.cc"
+							>
+						</File>
+						<File
+							RelativePath="..\..\src\orxonox\objects\weaponSystem\weapons\LaserGun.cc"
+							>
+						</File>
+						<File
+							RelativePath="..\..\src\orxonox\objects\weaponSystem\weapons\Missile.cc"
 							>
 							<FileConfiguration
@@ -433,111 +486,67 @@
 					</Filter>
 					<Filter
-						Name="weapons"
-						>
-						<File
-							RelativePath="..\..\src\orxonox\objects\weaponSystem\weapons\LaserGun.cc"
-							>
-							<FileConfiguration
-								Name="Debug|Win32"
-								ExcludedFromBuild="true"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-								/>
-							</FileConfiguration>
-							<FileConfiguration
-								Name="Release|Win32"
-								ExcludedFromBuild="true"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-								/>
-							</FileConfiguration>
-						</File>
-						<File
-							RelativePath="..\..\src\orxonox\objects\weaponSystem\weapons\Missile.cc"
-							>
-							<FileConfiguration
-								Name="Debug|Win32"
-								ExcludedFromBuild="true"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-								/>
-							</FileConfiguration>
-							<FileConfiguration
-								Name="Release|Win32"
-								ExcludedFromBuild="true"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-								/>
-							</FileConfiguration>
+						Name="projectiles"
+						>
+						<File
+							RelativePath="..\..\src\orxonox\objects\weaponSystem\projectiles\BillboardProjectile.cc"
+							>
+						</File>
+						<File
+							RelativePath="..\..\src\orxonox\objects\weaponSystem\projectiles\ParticleProjectile.cc"
+							>
+						</File>
+						<File
+							RelativePath="..\..\src\orxonox\objects\weaponSystem\projectiles\Projectile.cc"
+							>
 						</File>
 					</Filter>
-					<Filter
-						Name="projectiles"
-						>
-						<File
-							RelativePath="..\..\src\orxonox\objects\weaponSystem\projectiles\BillboardProjectile.cc"
-							>
-							<FileConfiguration
-								Name="Debug|Win32"
-								ExcludedFromBuild="true"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-								/>
-							</FileConfiguration>
-							<FileConfiguration
-								Name="Release|Win32"
-								ExcludedFromBuild="true"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-								/>
-							</FileConfiguration>
-						</File>
-						<File
-							RelativePath="..\..\src\orxonox\objects\weaponSystem\projectiles\ParticleProjectile.cc"
-							>
-							<FileConfiguration
-								Name="Debug|Win32"
-								ExcludedFromBuild="true"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-								/>
-							</FileConfiguration>
-							<FileConfiguration
-								Name="Release|Win32"
-								ExcludedFromBuild="true"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-								/>
-							</FileConfiguration>
-						</File>
-						<File
-							RelativePath="..\..\src\orxonox\objects\weaponSystem\projectiles\Projectile.cc"
-							>
-							<FileConfiguration
-								Name="Debug|Win32"
-								ExcludedFromBuild="true"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-								/>
-							</FileConfiguration>
-							<FileConfiguration
-								Name="Release|Win32"
-								ExcludedFromBuild="true"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-								/>
-							</FileConfiguration>
-						</File>
-					</Filter>
+				</Filter>
+				<Filter
+					Name="collisionShapes"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\objects\collisionshapes\BoxCollisionShape.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\collisionshapes\CollisionShape.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\collisionshapes\CompoundCollisionShape.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\collisionshapes\ConeCollisionShape.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\collisionshapes\PlaneCollisionShape.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\collisionshapes\SphereCollisionShape.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\collisionshapes\WorldEntityCollisionShape.cc"
+						>
+					</File>
+				</Filter>
+				<Filter
+					Name="items"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\objects\items\Engine.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\items\Item.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\items\MultiStateEngine.cc"
+						>
+					</File>
 				</Filter>
 				<Filter
@@ -589,4 +598,8 @@
 					</File>
 					<File
+						RelativePath="..\..\src\orxonox\objects\quest\QuestEffectBeacon.cc"
+						>
+					</File>
+					<File
 						RelativePath="..\..\src\orxonox\objects\quest\QuestHint.cc"
 						>
@@ -597,4 +610,8 @@
 					</File>
 					<File
+						RelativePath="..\..\src\orxonox\objects\quest\QuestListener.cc"
+						>
+					</File>
+					<File
 						RelativePath="..\..\src\orxonox\objects\quest\QuestManager.cc"
 						>
@@ -602,4 +619,24 @@
 					<File
 						RelativePath="..\..\src\orxonox\objects\quest\Rewardable.cc"
+						>
+					</File>
+				</Filter>
+				<Filter
+					Name="pickup"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\objects\pickup\BaseItem.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\pickup\PickupSpawner.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\pickup\ShipEquipment.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\pickup\Turbo.cc"
 						>
 					</File>
@@ -619,4 +656,8 @@
 				<File
 					RelativePath="..\..\src\orxonox\tools\ParticleInterface.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\orxonox\tools\Shader.cc"
 					>
 				</File>
@@ -715,8 +756,16 @@
 					</File>
 					<File
+						RelativePath="..\..\src\orxonox\overlays\hud\GametypeStatus.cc"
+						>
+					</File>
+					<File
 						RelativePath="..\..\src\orxonox\overlays\hud\HUDBar.cc"
 						>
 					</File>
 					<File
+						RelativePath="..\..\src\orxonox\overlays\hud\HUDHealthBar.cc"
+						>
+					</File>
+					<File
 						RelativePath="..\..\src\orxonox\overlays\hud\HUDNavigation.cc"
 						>
@@ -740,4 +789,40 @@
 					<File
 						RelativePath="..\..\src\orxonox\overlays\debug\DebugRTRText.cc"
+						>
+					</File>
+				</Filter>
+				<Filter
+					Name="stats"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\stats\CreateLines.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\stats\Scoreboard.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\stats\Stats.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\stats\StatsTest.cc"
+						>
+					</File>
+				</Filter>
+				<Filter
+					Name="notifications"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\notifications\Notification.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\notifications\NotificationManager.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\notifications\NotificationQueue.cc"
 						>
 					</File>
@@ -831,4 +916,8 @@
 			</File>
 			<File
+				RelativePath="..\..\src\orxonox\PawnManager.h"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\orxonox\PlayerManager.h"
 				>
@@ -854,4 +943,8 @@
 				</File>
 				<File
+					RelativePath="..\..\src\orxonox\objects\GlobalShader.h"
+					>
+				</File>
+				<File
 					RelativePath="..\..\src\orxonox\objects\Level.h"
 					>
@@ -913,8 +1006,20 @@
 					</File>
 					<File
+						RelativePath="..\..\src\orxonox\objects\worldentities\ExplosionChunk.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\worldentities\FadingBillboard.h"
+						>
+					</File>
+					<File
 						RelativePath="..\..\src\orxonox\objects\worldentities\Light.h"
 						>
 					</File>
 					<File
+						RelativePath="..\..\src\orxonox\objects\worldentities\MobileEntity.h"
+						>
+					</File>
+					<File
 						RelativePath="..\..\src\orxonox\objects\worldentities\Model.h"
 						>
@@ -933,9 +1038,13 @@
 					</File>
 					<File
-						RelativePath="..\..\src\orxonox\objects\worldentities\PositionableEntity.h"
+						RelativePath="..\..\src\orxonox\objects\worldentities\Planet.h"
 						>
 					</File>
 					<File
 						RelativePath="..\..\src\orxonox\objects\worldentities\SpawnPoint.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\worldentities\StaticEntity.h"
 						>
 					</File>
@@ -972,4 +1081,8 @@
 						</File>
 						<File
+							RelativePath="..\..\src\orxonox\objects\worldentities\triggers\PlayerTrigger.h"
+							>
+						</File>
+						<File
 							RelativePath="..\..\src\orxonox\objects\worldentities\triggers\Trigger.h"
 							>
@@ -989,4 +1102,16 @@
 					>
 					<File
+						RelativePath="..\..\src\orxonox\objects\infos\Bot.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\infos\GametypeInfo.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\infos\HumanPlayer.h"
+						>
+					</File>
+					<File
 						RelativePath="..\..\src\orxonox\objects\infos\Info.h"
 						>
@@ -1001,4 +1126,12 @@
 					>
 					<File
+						RelativePath="..\..\src\orxonox\objects\controllers\AIController.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\controllers\ArtificialController.h"
+						>
+					</File>
+					<File
 						RelativePath="..\..\src\orxonox\objects\controllers\Controller.h"
 						>
@@ -1008,4 +1141,8 @@
 						>
 					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\controllers\ScriptController.h"
+						>
+					</File>
 				</Filter>
 				<Filter
@@ -1057,4 +1194,8 @@
 					</File>
 					<File
+						RelativePath="..\..\src\orxonox\objects\quest\QuestEffectBeacon.h"
+						>
+					</File>
+					<File
 						RelativePath="..\..\src\orxonox\objects\quest\QuestHint.h"
 						>
@@ -1062,4 +1203,8 @@
 					<File
 						RelativePath="..\..\src\orxonox\objects\quest\QuestItem.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\quest\QuestListener.h"
 						>
 					</File>
@@ -1099,4 +1244,8 @@
 						Name="weapons"
 						>
+						<File
+							RelativePath="..\..\src\orxonox\objects\weaponSystem\weapons\Fusion.h"
+							>
+						</File>
 						<File
 							RelativePath="..\..\src\orxonox\objects\weaponSystem\weapons\LaserGun.h"
@@ -1133,4 +1282,84 @@
 					</Filter>
 				</Filter>
+				<Filter
+					Name="collisionShapes"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\objects\collisionshapes\BoxCollisionShape.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\collisionshapes\CollisionShape.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\collisionshapes\CompoundCollisionShape.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\collisionshapes\ConeCollisionShape.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\collisionshapes\PlaneCollisionShape.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\collisionshapes\SphereCollisionShape.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\collisionshapes\WorldEntityCollisionShape.h"
+						>
+					</File>
+				</Filter>
+				<Filter
+					Name="items"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\objects\items\Engine.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\items\Item.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\items\MultiStateEngine.h"
+						>
+					</File>
+				</Filter>
+				<Filter
+					Name="pickup"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\objects\pickup\BaseItem.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\pickup\PickupSpawner.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\pickup\ShipEquipment.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\pickup\ShipEquipmentClasses.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\pickup\ShipItem.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\pickup\Turbo.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\pickup\Usable.h"
+						>
+					</File>
+				</Filter>
 			</Filter>
 			<Filter
@@ -1142,4 +1371,8 @@
 				</File>
 				<File
+					RelativePath="..\..\src\orxonox\tools\BulletConversions.h"
+					>
+				</File>
+				<File
 					RelativePath="..\..\src\orxonox\tools\Mesh.h"
 					>
@@ -1147,4 +1380,8 @@
 				<File
 					RelativePath="..\..\src\orxonox\tools\ParticleInterface.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\orxonox\tools\Shader.h"
 					>
 				</File>
@@ -1193,8 +1430,16 @@
 					</File>
 					<File
+						RelativePath="..\..\src\orxonox\overlays\hud\GametypeStatus.h"
+						>
+					</File>
+					<File
 						RelativePath="..\..\src\orxonox\overlays\hud\HUDBar.h"
 						>
 					</File>
 					<File
+						RelativePath="..\..\src\orxonox\overlays\hud\HUDHealthBar.h"
+						>
+					</File>
+					<File
 						RelativePath="..\..\src\orxonox\overlays\hud\HUDNavigation.h"
 						>
@@ -1226,4 +1471,40 @@
 					<File
 						RelativePath="..\..\src\orxonox\overlays\debug\DebugRTRText.h"
+						>
+					</File>
+				</Filter>
+				<Filter
+					Name="stats"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\stats\CreateLines.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\stats\Scoreboard.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\stats\Stats.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\stats\StatsTest.h"
+						>
+					</File>
+				</Filter>
+				<Filter
+					Name="notifications"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\notifications\Notification.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\notifications\NotificationManager.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\notifications\NotificationQueue.h"
 						>
 					</File>
